/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
module.exports = {
  docs: [
    'index',
    {
      type: 'category',
      label: 'Guides',
      link: {
        type: 'generated-index',
        title: 'Puppeteer Guides',
        keywords: ['guides'],
      },
      collapsed: false,
      items: [
        'guides/configuration',
        'guides/query-selectors',
        'guides/evaluate-javascript',
        'guides/docker',
        'guides/request-interception',
        'guides/chrome-extensions',
        'guides/debugging',
      ],
    },
    'chromium-support',
    'troubleshooting',
    'contributing',
    'faq',
  ],
  api: [
    {
      type: 'autogenerated',
      dirName: 'api',
    },
  ],
};
